<div class="infra-num-card">
  <dsfr-alert
    [type]="alertType.SUCCESS"
    [hasCloseButton]="false">
    Votre compte a bien été créé. Vous recevrez un courriel dans quelques
    instants contenant un lien de confirmation, à l’adresse
    <span class="email">
      {{ cityHallEmail || userEmail }}
   </span>.
  </dsfr-alert>
  <p class="fr-text--xs">
    Si vous n'avez pas reçu de courriel (n'hésitez pas à vérifier dans les indésirables),
    vous pouvez le renvoyer en cliquant sur ce bouton :
  </p>
  <ng-container *ngIf="!isEmailResent; else emailResentTemplate">
    <dsfr-button
      label="Renvoyer le courriel"
      title="Cliquez ici pour renvoyer le courriel de confirmation"
      [type]="buttonType.TERTIARY"
      [iconAlignment]="iconAlignment.RIGHT"
      icon="fr-icon-mail-line"
      (buttonClicked)="resendConfirmationEmail()">
    </dsfr-button>
  </ng-container>
  <ng-template #emailResentTemplate>
    <dsfr-alert
      class="alert-email-resent"
      [type]="alertType.SUCCESS"
      [hasCloseButton]="false">
      Le courriel a bien été renvoyé
    </dsfr-alert>
  </ng-template>
  <p class="fr-text--xs">
    Si vous rencontrez des difficultés, contactez-nous par courriel à {{environment.emailAnctContact}}.
  </p>
</div>
